Subject: bug#15798: Bad variable name "noreturn" in libguile/throw.h

From: Matt Sicker <[email-masked]>
Date: Sun, 3 Nov 2013 17:30:39 -0600

In the function scm_ithrow, the parameter "int noreturn" is given. Now this
works fine normally, but if stdnoreturn.h is included before throw.h (or
libguile.h more likely), then this causes a compilation error. In throw.c,
noreturn is even marked as an unused variable, so this is even more
annoying! I recommend using "no_return" to prevent any namespace conflicts.

-- 
Matt Sicker <[email-masked]>